use crate::prelude::*;
use serde::{Deserialize, Serialize};

#[derive(Deserialize, Serialize)]
pub(crate) struct ToClient {
    pub(crate) id: Id,
    pub(crate) name: String,
    pub(crate) event: ToClientEvent,
}

#[derive(Deserialize, Serialize)]
pub(crate) enum ToClientEvent {
    ChatLine { line: String },
    Connected,
    Disconnected,
    NameChanged { old_name: String },
}

#[derive(Deserialize, Serialize)]
pub(crate) enum ToServer {
    ChatLine { line: String, sequence: u64 },
    SetName { name: String },
}
